SLAPPASSWD(8C)

NAME
slappasswd - OpenLDAP password utility

SYNOPSIS
SBINDIR/slappasswd [-a] [-v] [-s secret] [-h hash]

DESCRIPTION

Slappasswd is used to compute a hashed password suitable for use as a userPassword value slapd.conf(5) rootpw.

OPTIONS

-a  generate authPassword values instead of RFC2307 passwords

-v  enable verbose mode.

-s secret
    The secret to hash. If not provided, the user will be prompted for the secret to hash.

-h scheme
    The hash scheme to use. RFC2307 schemes supported include {CRYPT}, {MD5}, {SMD5}, {SSHA}, and {SHA}. The default is {SSHA}.

If -a is specified, the following authPassword schemes may be specified: MD5, SHA1, and X-CRYPT. The default is SHA1.

LIMITATIONS
The practice storing hashed passwords in userPassword violates Standard Track schema and may hinder interoperability. authPassword is not yet widely supported.

SECURITY CONSIDERATIONS
Use of hashed passwords does not protect passwords during protocol transfer. TLS or other eavesdropping protections should be inplace before using LDAP simple bind. The hashed password values should be protected as if they were clear text passwords.

SEE ALSO
ldappasswd(1), ldapmodify(1), slapd(8)

"OpenLDAP Administrator's Guide"

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.